# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
DBus::Ecore::BusWatch Class Reference

`#include <ecore-integration.h>`

Inheritance diagram for DBus::Ecore::BusWatch:

## Private Member Functions

| BusWatch (Watch::Internal *)
| ~BusWatch ()
void | toggle ()
void | _enable ()
void | _disable ()
void | data (Ecore::BusDispatcher *bd)

## Static Private Member Functions

static Eina_Bool | watch_check (void *data, Ecore_Fd_Handler *fdh)
static Eina_Bool | watch_prepare (void *data, Ecore_Fd_Handler *fdh)
static Eina_Bool | watch_dispatch (void *data, Ecore_Fd_Handler *fdh)

## Private Attributes

Ecore_Fd_Handler * | fd_handler
Ecore::BusDispatcher * | _bd

## Friends

class | BusDispatcher

## Additional Inherited Members

Public Member Functions inherited from DBus::Watch
| Watch (Internal *i)
virtual | ~Watch ()
int | descriptor () const
| A main loop could poll this descriptor to integrate dbus-c++.
int | flags () const
| Gets flags from DBusWatchFlags indicating what conditions should be monitored on the file descriptor.
bool | enabled () const
bool | handle (int flags)
| Called to notify the D-Bus library when a previously-added watch is ready for reading or writing, or has an exception such as a hangup.

## Detailed Description

Definition at line 64 of file ecore-integration.h.

## Constructor & Destructor Documentation

## ◆ BusWatch()

Ecore::BusWatch::BusWatch | ( | Watch::Internal * | wi | ) |

private

Definition at line 89 of file ecore-integration.cpp.

References _bd, _enable(), DBus::Watch::enabled(), fd_handler, and DBus::Watch::Watch().

## ◆ ~BusWatch()

Ecore::BusWatch::~BusWatch | ( |  | ) |

private

Definition at line 98 of file ecore-integration.cpp.

References _disable().

## Member Function Documentation

## ◆ _disable()

void Ecore::BusWatch::_disable | ( |  | ) |

private

Definition at line 140 of file ecore-integration.cpp.

References fd_handler.

Referenced by toggle(), watch_prepare(), and ~BusWatch().

## ◆ _enable()

void Ecore::BusWatch::_enable | ( |  | ) |

private

Definition at line 130 of file ecore-integration.cpp.

References DBus::debug_log, DBus::Watch::descriptor(), fd_handler, and watch_dispatch().

Referenced by BusWatch(), toggle(), and watch_prepare().

## ◆ data()

void Ecore::BusWatch::data | ( | Ecore::BusDispatcher * | bd | ) |

private

Definition at line 149 of file ecore-integration.cpp.

References _bd.

Referenced by DBus::Ecore::BusDispatcher::add_watch(), watch_check(), watch_dispatch(), and watch_prepare().

## ◆ toggle()

void Ecore::BusWatch::toggle | ( |  | ) |

private virtual

Implements DBus::Watch.

Definition at line 103 of file ecore-integration.cpp.

References _disable(), _enable(), DBus::debug_log, and DBus::Watch::enabled().

## ◆ watch_check()

Eina_Bool DBus::Ecore::BusWatch::watch_check | ( | void * | data,
|  | Ecore_Fd_Handler * | fdh )

static private

References data().

## ◆ watch_dispatch()

Eina_Bool Ecore::BusWatch::watch_dispatch | ( | void * | data,
|  | Ecore_Fd_Handler * | fdh )

static private

Definition at line 111 of file ecore-integration.cpp.

References _bd, data(), DBus::debug_log, DBus::Dispatcher::dispatch_pending(), fd_handler, DBus::Watch::flags(), and DBus::Watch::handle().

Referenced by _enable().

## ◆ watch_prepare()

Eina_Bool DBus::Ecore::BusWatch::watch_prepare | ( | void * | data,
|  | Ecore_Fd_Handler * | fdh )

static private

References _disable(), _enable(), and data().

## Friends And Related Symbol Documentation

## ◆ BusDispatcher

friend class BusDispatcher

friend

Definition at line 88 of file ecore-integration.h.

References BusDispatcher.

Referenced by BusDispatcher.

## Member Data Documentation

## ◆ _bd

Ecore::BusDispatcher* DBus::Ecore::BusWatch::_bd

private

Definition at line 86 of file ecore-integration.h.

Referenced by BusWatch(), data(), and watch_dispatch().

## ◆ fd_handler

Ecore_Fd_Handler* DBus::Ecore::BusWatch::fd_handler

private

Definition at line 85 of file ecore-integration.h.

Referenced by _disable(), _enable(), BusWatch(), and watch_dispatch().

The documentation for this class was generated from the following files:

- ecore-integration.h
- ecore-integration.cpp